Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Caching_Strategy_Adapter Class Template Reference

This class follows the Adaptor pattern and is used to provide External Polymorphism by deriving from ACE_Caching_Strategy. More...

`#include <Caching_Strategies_T.h>`

Inheritance diagram for ACE_Caching_Strategy_Adapter

[legend]
Collaboration diagram for ACE_Caching_Strategy_Adapter:

[legend]
List of all members.

## Public Methods
| ACE_Caching_Strategy_Adapter (IMPLEMENTATION *implementation = 0, int delete_implementation = 0)
| Constructor.
| ~ACE_Caching_Strategy_Adapter (void)
| Destructor.
ATTRIBUTES | attributes (void)
| Accessor method for the timer attributes.
double | purge_percent (void)
void | purge_percent (double percentage)
int | notify_bind (int result, const ATTRIBUTES &attr)
| This method acts as a notification about the CONTAINERs bind method call.
int | notify_find (int result, ATTRIBUTES &attr)
| This method acts as a notification about the CONTAINERs find method call.
int | notify_unbind (int result, const ATTRIBUTES &attr)
| This method acts as a notification about the CONTAINERs unbind method call.
int | notify_trybind (int result, ATTRIBUTES &attr)
| This method acts as a notification about the CONTAINERs trybind method call.
int | notify_rebind (int result, const ATTRIBUTES &attr)
| This method acts as a notification about the CONTAINERs rebind method call.
IMPLEMENTATION& | implementation (void)
| Accessor to the implementation.
CACHING_UTILITY& | caching_utility (void)
| Purge the cache.
void | dump (void) const
| Dumps the state of the object.
## Private Attributes
IMPLEMENTATION* | implementation_
| Implementation class.
int | delete_implementation_
| Do we need to delete the implementation?

## Detailed Description

### template<class ATTRIBUTES, class CACHING_UTILITY, class IMPLEMENTATION> template class ACE_Caching_Strategy_Adapter

This class follows the Adaptor pattern and is used to provide External Polymorphism by deriving from ACE_Caching_Strategy.

This class simply delegates all requests to the IMPLEMNETATION object within. This class should be passed in place of the the abstract base ACE_Caching_Strategy class as part of the External Polymorphism pattern.

## Constructor & Destructor Documentation

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::ACE_Caching_Strategy_Adapter<ATTRIBUTES, CACHING_UTILITY, IMPLEMENTATION> ( | IMPLEMENTATION * implementation = 0,
| int delete_implementation = 0 )

| Constructor.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::~ACE_Caching_Strategy_Adapter<ATTRIBUTES, CACHING_UTILITY, IMPLEMENTATION> ( | void )

| Destructor.

## Member Function Documentation

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE ATTRIBUTES ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::attributes ( | void )`[virtual]`

| Accessor method for the timer attributes. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE CACHING_UTILITY & ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::caching_utility ( | void )`[virtual]`

| Purge the cache. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE void ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::dump ( | void ) const`[virtual]`

| Dumps the state of the object. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE IMPLEMENTATION & ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::implementation ( | void )

| Accessor to the implementation.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE int ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::notify_bind ( | int result,
| const ATTRIBUTES & attr )`[virtual]`

| This method acts as a notification about the CONTAINERs bind method call. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE int ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::notify_find ( | int result,
| ATTRIBUTES & attr )`[virtual]`

| This method acts as a notification about the CONTAINERs find method call. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE int ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::notify_rebind ( | int result,
| const ATTRIBUTES & attr )`[virtual]`

| This method acts as a notification about the CONTAINERs rebind method call. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE int ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::notify_trybind ( | int result,
| ATTRIBUTES & attr )`[virtual]`

| This method acts as a notification about the CONTAINERs trybind method call. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE int ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::notify_unbind ( | int result,
| const ATTRIBUTES & attr )`[virtual]`

| This method acts as a notification about the CONTAINERs unbind method call. Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE void ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::purge_percent ( | double percentage )`[virtual]`

| Reimplemented from ACE_Caching_Strategy.

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
ACE_INLINE double ACE_Caching_Strategy_Adapter< ATTRIBUTES,CACHING_UTILITY,IMPLEMENTATION >::purge_percent ( | void )`[virtual]`

| Reimplemented from ACE_Caching_Strategy.

## Member Data Documentation

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
int ACE_Caching_Strategy_Adapter<ATTRIBUTES, CACHING_UTILITY, IMPLEMENTATION>::delete_implementation_`[private]`

| Do we need to delete the implementation?

template<classATTRIBUTES, classCACHING_UTILITY, classIMPLEMENTATION>
IMPLEMENTATION * ACE_Caching_Strategy_Adapter<ATTRIBUTES, CACHING_UTILITY, IMPLEMENTATION>::implementation_`[private]`

| Implementation class.

The documentation for this class was generated from the following files:

- Caching_Strategies_T.h
- Caching_Strategies_T.i